Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTreeUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.PropertyChangeHandler
    extends Object
    implements PropertyChangeListener

PropertyChangeListener for the tree. Updates the appropriate variable, or TreeState, based on what changes.

### Constructor Summary

Constructors
`PropertyChangeHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

### Constructor Detail

#### PropertyChangeHandler

    public PropertyChangeHandler()